Bug 131036 - x11-fonts/xfs can't start
Summary: x11-fonts/xfs can't start
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-27 10:30 UTC by Hiroshi Fujishima
Modified: 2009-01-28 16:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroshi Fujishima 2009-01-27 10:30:05 UTC
% sudo /usr/local/etc/rc.d/xfs start
/usr/local/etc/rc.d/xfs: WARNING: /usr/local/lib/X11/fs/config is not readable.

Fix: 

# Set defaults
 [ -z "$xfs_enable" ] && xfs_enable="NO"
-[ -z "$xfs_config" ] && xfs_config="%%PREFIX%%/lib/X11/fs/config"
+[ -z "$xfs_config" ] && xfs_config="%%PREFIX%%/etc/X11/fs/config"

 load_rc_config $name--IPawoiEJqMKnIDTdmLk0E2vTeyBSgEfEJfOVxMG9zMj8mvTr
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- x11-fonts/xfs/files/xfs.in~ 2007-05-20 05:29:39.000000000 +0900
+++ x11-fonts/xfs/files/xfs.in  2009-01-27 19:17:21.000000000 +0900
@@ -23,7 +23,7 @@
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-01-27 15:54:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Fix synopsis and assign.
Comment 2 Florent Thoumie freebsd_committer 2009-01-28 16:38:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-01-28 16:39:25 UTC
flz         2009-01-28 16:37:59 UTC

  FreeBSD ports repository

  Modified files:
    x11-fonts/xfs        Makefile 
    x11-fonts/xfs/files  xfs.in 
  Log:
  Fix path for xfs default configuration file.
  
  PR:             ports/131036
  Submitted by:   Hiroshi Fujishima <hirobo@tonteki.org>
  
  Revision  Changes    Path
  1.17      +1 -0      ports/x11-fonts/xfs/Makefile
  1.2       +3 -3      ports/x11-fonts/xfs/files/xfs.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"